BizKitHub
DocsAPI ReferenceBranch Cost/bff/branch-cost/edit
postBranch CostAdmin BFF

/bff/branch-cost/edit

Edit an existing branch cost

Branch CostpostBffBranch-costEdit

Parameters

JSON body

Request body

application/json
costIdstringRequired

External id of the cost to edit.

namestringOptional
Length: 1200
category"rent" | "energy" | "utilities" | "cleaning" | "marketing" | "payroll" | "supplies" | "insurance" | "taxes" | "services" | "other"Optional
type"fixed" | "variable"Optional
defaultAmountMoneynumberOptional
Range: 0
appliesFromstringOptional
appliesTostring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
isActivebooleanOptional
recurringIntervalMonthsnumberOptional
Range: 136
paymentDayOfMonthnumber | nullOptional
One of 2:
Variant 1
number
Range: 128
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null
contactExternalIdstring | nullOptional
One of 2:
Variant 1
string

External id of the supplier (shop__contact.external_id). null clears the link.

Variant 2
null
payerContactExternalIdstring | nullOptional
One of 2:
Variant 1
string

External id of the "PLÁTCE" (shop__contact.external_id). null clears the link, omit to keep the current value.

Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
costIdstringRequired

Response example

application/json
{
  "success": false,
  "costId": "example_costId"
}

Request example

POST /bff/branch-cost/edit

post
curl -X POST "https://api.bizkithub.com/bff/branch-cost/edit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "costId": "example_costId",
  "name": "example_name",
  "defaultAmountMoney": 0,
  "appliesFrom": "example_appliesFrom",
  "isActive": false,
  "recurringIntervalMonths": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key